Bug 1788969 - foreman-cockpit fails to parse foreman-cockpit-session.yml
Summary: foreman-cockpit fails to parse foreman-cockpit-session.yml
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.7.0
Assignee: Adam Ruzicka
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-08 13:39 UTC by Roman Plevka
Modified: 2020-04-14 13:28 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman_remote_execution-2.0.7-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28691 Normal Closed foreman-cockpit fails to parse foreman-cockpit-session.yml 2020-05-19 15:16:27 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:22 UTC

Description Roman Plevka 2020-01-08 13:39:01 UTC
Description of problem:
regression since previous snaps:

Usage of YAML.safe_load in /usr/sbin/foreman-cockpit-session prevents foreman-cockpit to parse the foreman-cockpit configuration stored in foreman-cockpit-session.yml

dirty workaround:
replace YAML.safe_load by YAML.load

Version-Release number of selected component (if applicable):
6.7.0 snap #4

How reproducible:
always

Steps to Reproduce:
1. enable remote-execution-ssh-cockpit
2. transfer foreman-proxy pub key to the authorized keys of the target host (or satellite host itself)
3. navigate to the host page and click "Web Console"

Actual results:
cockpit page shows "Sorry" error message, journal for foreman-cockpit service logs the following traceback:





Jan 07 14:50:48 sat-6-7-qa-rhel7.localhost.example.com systemd[1]: Started Foreman authentication service for Cockpit.
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: /usr/share/ruby/psych/class_loader.rb:96:in `find': Tried to load unspecified class: Symbol (Psych::Disa
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/class_loader.rb:27:in `load'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/class_loader.rb:38:in `block (2 levels) in <class:ClassLoader>'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/class_loader.rb:31:in `symbolize'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/class_loader.rb:81:in `symbolize'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/scalar_scanner.rb:83:in `tokenize'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:59:in `deserialize'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:120:in `visit_Psych_Nodes_Scalar'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/visitor.rb:15:in `visit'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/visitor.rb:5:in `accept'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:31:in `accept'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:291:in `block in revive_hash'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:290:in `each'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:290:in `each_slice'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:290:in `revive_hash'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:159:in `visit_Psych_Nodes_Mapping'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/visitor.rb:15:in `visit'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/visitor.rb:5:in `accept'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:31:in `accept'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:264:in `visit_Psych_Nodes_Document'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/visitor.rb:15:in `visit'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/visitor.rb:5:in `accept'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:31:in `accept'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych.rb:173:in `safe_load'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/sbin/foreman-cockpit-session:29:in `read_settings'
Jan 07 15:16:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/sbin/foreman-cockpit-session:275:in `<main>'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: /usr/share/ruby/psych/class_loader.rb:96:in `find': Tried to load unspecified class: Symbol (Psych::Disa
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/class_loader.rb:27:in `load'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/class_loader.rb:38:in `block (2 levels) in <class:ClassLoader>'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/class_loader.rb:31:in `symbolize'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/class_loader.rb:81:in `symbolize'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/scalar_scanner.rb:83:in `tokenize'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:59:in `deserialize'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:120:in `visit_Psych_Nodes_Scalar'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/visitor.rb:15:in `visit'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/visitor.rb:5:in `accept'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:31:in `accept'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:291:in `block in revive_hash'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:290:in `each'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:290:in `each_slice'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:290:in `revive_hash'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:159:in `visit_Psych_Nodes_Mapping'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/visitor.rb:15:in `visit'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/visitor.rb:5:in `accept'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:31:in `accept'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:264:in `visit_Psych_Nodes_Document'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/visitor.rb:15:in `visit'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/visitor.rb:5:in `accept'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/visitors/to_ruby.rb:31:in `accept'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych.rb:173:in `safe_load'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/sbin/foreman-cockpit-session:29:in `read_settings'
Jan 07 15:19:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/sbin/foreman-cockpit-session:275:in `<main>'
Jan 07 15:21:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: /usr/share/ruby/psych/class_loader.rb:96:in `find': Tried to load unspecified class: Symbol (Psych::Disa
Jan 07 15:21:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/class_loader.rb:27:in `load'
Jan 07 15:21:45 sat-6-7-qa-rhel7.localhost.example.com cockpit-ws[22164]: from /usr/share/ruby/psych/class_loader.rb:38:in `block (2 levels) in <class:ClassLoader>'

Comment 3 Adam Ruzicka 2020-01-08 14:17:01 UTC
Created redmine issue https://projects.theforeman.org/issues/28691 from this bug

Comment 4 Bryan Kearney 2020-01-08 15:02:41 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 5 Bryan Kearney 2020-01-08 15:02:43 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 6 Bryan Kearney 2020-01-08 21:02:24 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28691 has been resolved.

Comment 7 Roman Plevka 2020-01-20 13:23:58 UTC
VERIFIED
with snap #8

- no errors in the logs and web console starts up properly

Comment 10 errata-xmlrpc 2020-04-14 13:28:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.